Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456173 - Please consider building yenta_socket as a module
Summary: Please consider building yenta_socket as a module
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-21 21:51 UTC by Rene Wagner
Modified: 2008-08-13 20:33 UTC (History)
1 user (show)

Fixed In Version: 9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-31 17:10:39 UTC


Attachments (Terms of Use)

Description Rene Wagner 2008-07-21 21:51:51 UTC
Description of problem:

To work around Bug #391801 I would like to be able to blacklist yenta_socket. 
Fedora unfortunately links this statically into the kernel.

I understand that in my case this would just be a workaround, but for anyone not 
actually needing the cardbus bridge it would still be desirable to disable it in 
order to save power (~10 wakeups per second according to powertop).

Comment 1 Dave Jones 2008-07-21 22:22:49 UTC
theres no real reason why it needs to be built-in.  changed in CVS.


Comment 2 Peter F. Patel-Schneider 2008-07-24 17:44:24 UTC
Is this change in current F9?  If not, when would it hit F9, if at all?

If so, how do I blacklist yenta_socket?

Comment 3 Chuck Ebbert 2008-07-25 03:43:49 UTC
It went in 2.6.25.11-98 and will be in the next update. (2.6.25.11-97 was
released today.)

Comment 4 Fedora Update System 2008-08-04 13:43:45 UTC
kernel-2.6.25.14-107.fc9 has been submitted as an update for Fedora 9

Comment 5 Fedora Update System 2008-08-06 12:17:46 UTC
kernel-2.6.25.14-108.fc9 has been submitted as an update for Fedora 9

Comment 6 Fedora Update System 2008-08-12 18:19:43 UTC
kernel-2.6.25.14-108.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Rene Wagner 2008-08-13 20:33:01 UTC
Thanks to everyone involved for making this happen. The new kernel appears to be working fine for me.

Peter, you can blacklist yenta_socket as follows:

# echo 'blacklist yenta_socket' >> /etc/modprobe.d/blacklist-yenta

See 'man modprobe.conf' for details.

Cheers,

Rene


Note You need to log in before you can comment on or make changes to this bug.